## GogText

GogText

## Functions

PangoAttrList * | gog_text_get_markup ()
char * | gog_text_get_str ()

## Types and Values

| GogText
| GogTextClass

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogOutlinedObject
                    ╰── GogText
                        ├── GogLabel
                        ╰── GogRegEqn

## Implemented Interfaces

GogText implements GOStyledObject.

## Description

## Functions

### gog_text_get_markup ()

    PangoAttrList *
    gog_text_get_markup (GogText *text);

### gog_text_get_str ()

    char *
    gog_text_get_str (GogText *text);

## Types and Values

### GogText

    typedef struct _GogText GogText;

### GogTextClass

    typedef struct {
    	GogOutlinedObjectClass base;

    	char *(*get_str)    (GogText *text);
    	PangoAttrList *(*get_markup)    (GogText *text);
    } GogTextClass;

#### Members

GogOutlinedObjectClass `base`; | base class |
`get_str` () | returns the text associated with the object. |
`get_markup` () | returns the pango attributes. |